Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class PropertyFactoryImpl

    java.lang.Object
      net.fortuna.ical4j.model.AbstractContentFactory
          net.fortuna.ical4j.model.PropertyFactoryImpl

All Implemented Interfaces:
  PropertyFactory

    public final class PropertyFactoryImpl

extends AbstractContentFactory
implements PropertyFactory

A factory for creating iCalendar properties. Note that if relaxed parsing is enabled (via specifying the system property: icalj.parsing.relaxed=true) illegal property names are allowed.

Author:
  Ben Fortuna

Field Summary

Fields inherited from class net.fortuna.ical4j.model.AbstractContentFactory
`factories`

Method Summary
`Property` | `createProperty(String name)` Creates an uninitialised property.
`Property` | `createProperty(String name, ParameterList parameters, String value)` Creates a property.
`static PropertyFactoryImpl` | `getInstance()`

Methods inherited from class net.fortuna.ical4j.model.AbstractContentFactory
`allowIllegalNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PropertyFactoryImpl getInstance()

  Returns:
    Returns the instance.

### createProperty

    public Property createProperty(String name)

  Creates an uninitialised property.

  Specified by:
    `createProperty` in interface `PropertyFactory`
  Parameters:
    `name` - name of the property
  Returns:
    a property

### createProperty

    public Property createProperty(String name,
                                   ParameterList parameters,
                                   String value)
                            throws IOException,
                                   URISyntaxException,
                                   ParseException

  Creates a property.

  Specified by:
    `createProperty` in interface `PropertyFactory`
  Parameters:
    `name` - name of the property
    `parameters` - a list of property parameters
    `value` - a property value
  Returns:
    a component
  Throws:
    `IOException`
    `URISyntaxException`
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.